Package org.kapott.hbci.sepa.jaxb.camt_052_001_01

## Class CashBalanceAvailabilityDate1

- java.lang.Object
- - org.kapott.hbci.sepa.jaxb.camt_052_001_01.CashBalanceAvailabilityDate1

    public class CashBalanceAvailabilityDate1
    extends java.lang.Object

Java class for CashBalanceAvailabilityDate1 complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="CashBalanceAvailabilityDate1">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <choice>
               <element name="NbOfDays" type="{urn:iso:std:iso:20022:tech:xsd:camt.052.001.01}Max15PlusSignedNumericText"/>
               <element name="ActlDt" type="{urn:iso:std:iso:20022:tech:xsd:camt.052.001.01}ISODate"/>
             </choice>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

### Field Summary

Fields
`protected javax.xml.datatype.XMLGregorianCalendar` `actlDt`
`protected java.lang.String` `nbOfDays`

### Constructor Summary

Constructors
`CashBalanceAvailabilityDate1()`

### Method Summary

All Methods Instance Methods Concrete Methods
`javax.xml.datatype.XMLGregorianCalendar` `getActlDt()` Gets the value of the actlDt property.
`java.lang.String` `getNbOfDays()` Gets the value of the nbOfDays property.
`void` `setActlDt​(javax.xml.datatype.XMLGregorianCalendar value)` Sets the value of the actlDt property.
`void` `setNbOfDays​(java.lang.String value)` Sets the value of the nbOfDays property.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### nbOfDays

    protected java.lang.String nbOfDays

#### actlDt

    protected javax.xml.datatype.XMLGregorianCalendar actlDt

### Constructor Detail

#### CashBalanceAvailabilityDate1

    public CashBalanceAvailabilityDate1()

### Method Detail

#### getNbOfDays

    public java.lang.String getNbOfDays()

Gets the value of the nbOfDays property.

Returns:
  possible object is `String`

#### setNbOfDays

    public void setNbOfDays​(java.lang.String value)

Sets the value of the nbOfDays property.

Parameters:
  `value` - allowed object is `String`

#### getActlDt

    public javax.xml.datatype.XMLGregorianCalendar getActlDt()

Gets the value of the actlDt property.

Returns:
  possible object is `XMLGregorianCalendar`

#### setActlDt

    public void setActlDt​(javax.xml.datatype.XMLGregorianCalendar value)

Sets the value of the actlDt property.

Parameters:
  `value` - allowed object is `XMLGregorianCalendar`